import sys
import json
from pprint import pprint

def printhyperlink(data):
    if ('title' in data) and 'id' in data:
        if 'content' in data:
            title = data['title'].encode('utf-8')
            link = '<a href="#/app/browse/'+str(data['id'])+'" class="link">'+title+'</a>'
            print(link)
            for elem in data['content']:
                printhyperlink(elem)
        else:
            link = '<a href="#/app/article/'+str(data['id'])+'" class="link">'+data['title']+'</a>'
            print(link)

def main():

    print('<!-- Contains all generated hyperlinks -->')
    print('')   

    with open('data.json') as data_file:    
        data = json.load(data_file)
    for elem in data['content']:
        printhyperlink(elem)

    print('<!-- ---------------------------------------------------- -->')

if __name__ == "__main__":
        main()